# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-09-13 19:46
from __future__ import unicode_literals

import django.db.models.deletion
import modelcluster.contrib.taggit
import modelcluster.fields
import wagtail.core.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('taggit', '0002_auto_20150616_2121'),
        ('wagtailcore', '0040_page_draft_title'),
        ('wagtailimages', '0019_delete_filter'),
        ('blog', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='BlogPage',
            fields=[
                ('page_ptr',
                 models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True,
                                      primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('title_en',
                 models.CharField(help_text="The page title as you'd like it to be seen by the public", max_length=255,
                                  null=True, verbose_name='title')),
                ('title_fr',
                 models.CharField(help_text="The page title as you'd like it to be seen by the public", max_length=255,
                                  null=True, verbose_name='title')),
                ('slug_en', models.SlugField(
                    allow_unicode=True,
                    help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/',
                    max_length=255, null=True, verbose_name='slug')),
                ('slug_fr', models.SlugField(
                    allow_unicode=True,
                    help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/',
                    max_length=255, null=True, verbose_name='slug')),
                ('url_path_en', models.TextField(blank=True, editable=False, null=True, verbose_name='URL path')),
                ('url_path_fr', models.TextField(blank=True, editable=False, null=True, verbose_name='URL path')),
                ('seo_title_en', models.CharField(
                    blank=True,
                    help_text=("Optional. 'Search Engine Friendly' title. ",
                               "This will appear at the top of the browser window."),
                    max_length=255, null=True, verbose_name='page title')),
                ('seo_title_fr', models.CharField(
                    blank=True,
                    help_text=("Optional. 'Search Engine Friendly' title. ",
                               "This will appear at the top of the browser window."),
                    max_length=255, null=True, verbose_name='page title')),
                ('search_description_en', models.TextField(blank=True, null=True, verbose_name='search description')),
                ('search_description_fr', models.TextField(blank=True, null=True, verbose_name='search description')),
                ('date', models.DateField(verbose_name='Post date')),
                ('intro', models.CharField(max_length=250)),
                ('intro_en', models.CharField(max_length=250, null=True)),
                ('intro_fr', models.CharField(max_length=250, null=True)),
                ('body', wagtail.core.fields.RichTextField(blank=True)),
                ('body_en', wagtail.core.fields.RichTextField(blank=True, null=True)),
                ('body_fr', wagtail.core.fields.RichTextField(blank=True, null=True)),
            ],
            options={
                'abstract': False,
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='BlogPageGalleryImage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('caption', models.CharField(blank=True, max_length=250)),
                ('caption_en', models.CharField(blank=True, max_length=250, null=True)),
                ('caption_fr', models.CharField(blank=True, max_length=250, null=True)),
                ('image', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+',
                                            to='wagtailimages.Image')),
                ('page', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE,
                                                         related_name='gallery_images', to='blog.BlogPage')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='BlogPageTag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE,
                                                                   related_name='tagged_items', to='blog.BlogPage')),
                ('tag',
                 models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='blog_blogpagetag_items',
                                   to='taggit.Tag')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='blogindexpage',
            name='intro_en',
            field=wagtail.core.fields.RichTextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='blogindexpage',
            name='intro_fr',
            field=wagtail.core.fields.RichTextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='blogindexpage',
            name='search_description_en',
            field=models.TextField(blank=True, null=True, verbose_name='search description'),
        ),
        migrations.AddField(
            model_name='blogindexpage',
            name='search_description_fr',
            field=models.TextField(blank=True, null=True, verbose_name='search description'),
        ),
        migrations.AddField(
            model_name='blogindexpage',
            name='seo_title_en',
            field=models.CharField(blank=True,
                                   help_text=("Optional. 'Search Engine Friendly' title. ",
                                              "This will appear at the top of the browser window."),
                                   max_length=255, null=True, verbose_name='page title'),
        ),
        migrations.AddField(
            model_name='blogindexpage',
            name='seo_title_fr',
            field=models.CharField(blank=True,
                                   help_text=("Optional. 'Search Engine Friendly' title. ",
                                              "This will appear at the top of the browser window."),
                                   max_length=255, null=True, verbose_name='page title'),
        ),
        migrations.AddField(
            model_name='blogindexpage',
            name='slug_en',
            field=models.SlugField(
                allow_unicode=True,
                help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/',
                max_length=255, null=True, verbose_name='slug'),
        ),
        migrations.AddField(
            model_name='blogindexpage',
            name='slug_fr',
            field=models.SlugField(
                allow_unicode=True,
                help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/',
                max_length=255, null=True, verbose_name='slug'),
        ),
        migrations.AddField(
            model_name='blogindexpage',
            name='title_en',
            field=models.CharField(help_text="The page title as you'd like it to be seen by the public",
                                   max_length=255, null=True, verbose_name='title'),
        ),
        migrations.AddField(
            model_name='blogindexpage',
            name='title_fr',
            field=models.CharField(help_text="The page title as you'd like it to be seen by the public",
                                   max_length=255, null=True, verbose_name='title'),
        ),
        migrations.AddField(
            model_name='blogindexpage',
            name='url_path_en',
            field=models.TextField(blank=True, editable=False, null=True, verbose_name='URL path'),
        ),
        migrations.AddField(
            model_name='blogindexpage',
            name='url_path_fr',
            field=models.TextField(blank=True, editable=False, null=True, verbose_name='URL path'),
        ),
        migrations.AddField(
            model_name='blogpage',
            name='tags',
            field=modelcluster.contrib.taggit.ClusterTaggableManager(blank=True,
                                                                     help_text='A comma-separated list of tags.',
                                                                     through='blog.BlogPageTag', to='taggit.Tag',
                                                                     verbose_name='Tags'),
        ),
    ]
